### Method

# St IconInfo get_base_scale

#### Declaration [src]

    int
    st_icon_info_get_base_scale (
      StIconInfo* icon_info
    )

#### Description [src]

Gets the base scale for the icon. The base scale is a scale for the icon that was specified by the icon theme creator. For instance an icon drawn for a high-dpi screen with window scale 2 for a base size of 32 will be 64 pixels tall and have a base scale of 2.

#### Return value

Type: `int`

The base scale.